# $Id$

use strict;
use warnings;

use Test::More tests => 4;
use File::Temp qw(tempdir);

use_ok('ObsData');
use_ok('ObsData::Repository');

my $o = ObsData->new('testdata/obsdata-conftest', logfile => "testdata/obsdata.log");
my $or = ObsData::Repository->new(
    { 
        obsdata => $o,
        dir => '.',
    }
);

isa_ok($or, "ObsData::Repository");

ok($or->logging(0, "FOO%s", "FOO") eq "FOOFOO", "logging return the message properly");
